#ifndef _SCOREDLG_H_
#define _SCOREDLG_H_

#include <tdelistview.h>

#include <tqdialog.h>

#include "gamecore.h"

class ScoreDlgListViewItem : public TQListViewItem
{
	public:
		ScoreDlgListViewItem(TQListView *parent, TQString s1, TQString s2, TQString s3, TQString s4, TQString s5, TQString s6);
		int compare(TQListViewItem *i, int col, bool) const;
};

class ScoreDlg : public TQDialog
{

public:
    ScoreDlg( TQWidget *parent, const TQString& title, PlayerList *players );

private:
    void init();

    PlayerList *plrList;
    TQListView *scoreTable;

};

#endif // _SCOREDLG_H_

